SUPYBOT-NEWPLUGIN(1)

NAME
supybot-newplugin - A wizard for creating Supybot plugins

SYNOPSIS
supybot-newplugin [options]

DESCRIPTION
supybot-newplugin is a wizard that creates a template python source file for a new supybot(1) plugin.

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-r, --regexp
    Uses a regexp-based callback.

-n NAME, --name=NAME
    Sets the name for the plugin.

-t, --thread
    Makes the plugin threaded.

SEE ALSO
python(1), supybot(1), supybot-wizard(1), supybot-adduser(1),

AUTHOR
This manual page was originally written by James Vega <vega dot james at gmail dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Supybot license, a BSD-style license.